"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Framer = function Framer(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("g", {
    fill: fg
  }, _react.default.createElement("path", {
    d: "M171 142.5h170v85h-85l-85-85zM171 227.5h85l85 85H171v-85zM171 312.5h85v85l-85-85z"
  })));
};

Framer.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
Framer.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = Framer;
exports.default = _default;