"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Icon = function Icon(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("g", {
    fill: fg
  }, _react.default.createElement("path", {
    d: "M256.004 301.898h-66.302l-8.925 28.051h-44.626l60.691-178.504h52.021l60.691 178.504h-44.626l-8.924-28.051zm-12.24-38.25l-20.91-65.537-20.911 65.537h41.821zM319.75 168.276c0-12.495 10.455-22.95 22.95-22.95s22.95 10.455 22.95 22.95-10.455 22.95-22.95 22.95-22.95-10.455-22.95-22.95zm3.826 34.171h38.251v127.502h-38.251V202.447z"
  })));
};

Icon.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
Icon.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = Icon;
exports.default = _default;