"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Icon = function Icon(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("path", {
    fill: fg,
    d: "M367.261,359.488L242.12,133.033c-1.199-2.166-3.623-3.35-6.065-2.962c-2.442,0.387-4.384,2.263-4.852,4.693 l-49.04,254.041c-0.486,2.522,0.721,5.066,2.98,6.286c2.26,1.222,5.051,0.833,6.891-0.958l74.383-72.354l93.104,45.827 c1.114,0.551,2.343,0.72,3.513,0.533c1.245-0.197,2.422-0.793,3.334-1.75C368.14,364.528,368.503,361.735,367.261,359.488z"
  }));
};

Icon.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
Icon.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = Icon;
exports.default = _default;