"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Icon = function Icon(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("g", {
    fill: fg
  }, _react.default.createElement("path", {
    d: "M356.165 133.191c6.254-6.253 16.393-6.253 22.646 0s6.253 16.392-.001 22.646l-24.908 24.909-22.646-22.645 24.909-24.91zM326.727 162.63l-168.81 168.81-13.302 20.459 15.486 15.487 20.46-13.301 168.811-168.81zM141.035 357.378l-12.077 21.137c-.834.832-.496 2.523.755 3.773 1.25 1.25 2.94 1.588 3.774.754l21.135-12.076-13.587-13.588z"
  })));
};

Icon.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
Icon.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = Icon;
exports.default = _default;