"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Sketch = function Sketch(props) {
  var size = props.size,
      bg = props.bg,
      fg = props.fg;
  return _react.default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 512 512",
    width: size,
    height: size
  }, _react.default.createElement("circle", {
    fill: bg,
    cx: "256",
    cy: "256",
    r: "256"
  }), _react.default.createElement("path", {
    fill: "none",
    stroke: fg,
    strokeWidth: "10",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: "10",
    d: "M256 371.369L128.5 223.222l55.233-74.848L256 140.631l72.267 7.743 55.233 74.848z"
  }), _react.default.createElement("path", {
    fill: "none",
    stroke: fg,
    strokeWidth: "10",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: "10",
    d: "M256 371.369L128.5 223.222h255z"
  }), _react.default.createElement("path", {
    fill: "none",
    stroke: fg,
    strokeWidth: "10",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: "10",
    d: "M256 371.369l-75.88-148.147h151.76zM256 140.631l-75.88 82.591h151.76z"
  }), _react.default.createElement("path", {
    fill: "none",
    stroke: fg,
    strokeWidth: "10",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    strokeMiterlimit: "10",
    d: "M183.733 148.374l-3.613 74.848L256 140.631zM328.267 148.374l3.613 74.848L256 140.631z"
  }));
};

Sketch.propTypes = {
  size: _propTypes.default.number,
  bg: _propTypes.default.string,
  fg: _propTypes.default.string
};
Sketch.defaultProps = {
  size: 512,
  bg: '#1e1e1e',
  fg: '#fff'
};
var _default = Sketch;
exports.default = _default;